Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class Contact

    java.lang.Object
      org.jboss.portal.wsrp.core.Contact

All Implemented Interfaces:
  java.io.Serializable

    public class Contact

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected Online` | `online`
`protected Postal` | `postal`
`protected Telecom` | `telecom`

Constructor Summary
`Contact()`
`Contact(Postal postal, Telecom telecom, Online online, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`Online` | `getOnline()`
`Postal` | `getPostal()`
`Telecom` | `getTelecom()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setOnline(Online online)`
`void` | `setPostal(Postal postal)`
`void` | `setTelecom(Telecom telecom)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### postal

    protected Postal postal

### telecom

    protected Telecom telecom

### online

    protected Online online

### extensions

    protected Extension[] extensions

Constructor Detail

### Contact

    public Contact()

### Contact

    public Contact(Postal postal,
                   Telecom telecom,
                   Online online,
                   Extension[] extensions)

Method Detail

### getPostal

    public Postal getPostal()

### setPostal

    public void setPostal(Postal postal)

### getTelecom

    public Telecom getTelecom()

### setTelecom

    public void setTelecom(Telecom telecom)

### getOnline

    public Online getOnline()

### setOnline

    public void setOnline(Online online)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD